wiki:InstallParMetis

ParMetis Installation

NB: You can now get PETSc to download and install ParMetis as part of its installation process; in this case you do not need a separate ParMetis install, and can ignore this page.

NB 2: Chaste does not yet work with ParMetis 4, you need version 3.1. See also #2250.

Download and untar the package:

cd $HOME
http://glaros.dtc.umn.edu/gkhome/fetch/sw/parmetis/OLD/ParMetis-3.1.tar.gz
tar -xzvf ParMetis-3.1.tar.gz
cd ParMetis-3.1/

You may need to edit Makefile.in to make sure that CC points to the appropriate version of mpicc. For example

# Which compiler to use
CC = /home/<USERNAME>/mpi/bin/mpicc

...

# Which loader to use
LD = /home/<USERNAME>/mpi/bin/mpicc

Build the package:

make
Last modified 8 years ago Last modified on Dec 12, 2012, 2:36:36 PM